# libreschool-epoptes #

[![Build Status](https://drone.libreschool.org/api/badges/LibreSchool/libreschool-epoptes/status.svg)](https://drone.libreschool.org/LibreSchool/libreschool-epoptes)

This package contains the epoptes service customizations for the LibreSchool project.

## Requirements ##

A working [LibreSchool][] installation is required.

## Features ##

By installing this package, you can automatically configure multiple epoptes installations.
You can do so by creating "host groups": each group will have multiple members and a "master" (the epoptes server). Certificates for the connection are created and stored on the server.

Take this as a reference:

```bash
# db hosts show room1
room1=group
    AdminGroups=
    AdminUsers=teacher1 teacher2
    GroupPurpose=epoptes
    master=lab01
    members=lab01 lab02 lab03
```

**AdminUsers** contains a space-separated list of NethServer users that will be granted the epoptes administrator privileges.

**master** is the host that will run the epoptes server service.

**members** can include the master or not, as you want. The epoptes-client will be installed and configured anyway.

You MUST set the **GroupPurpose** to **epoptes**. At the moment, the **AdminGroups** property is not used, mainly because there's no way in linux to have a group as a membter of another group.

## License ##

As the rest of the LibreSchool project, libreschool-proxy is licensed under [GPLv3][] license.

[LibreSchool]: https://libreschool.org "LibreSchool Project Homepage"
[GPLv3]: https://www.gnu.org/licenses/gpl-3.0.html
